Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.binder
Interface AssociationAttributeSource

All Superinterfaces:
  AttributeSource

All Known Subinterfaces:
  PluralAttributeSource, ToOneAttributeSource

All Known Implementing Classes:
  AbstractPluralAttributeSourceImpl, BagAttributeSourceImpl, SetAttributeSourceImpl, ToOneAttributeSourceImpl

    public interface AssociationAttributeSource

extends AttributeSource

Contract describing sources for attributes which model associations.

Method Summary
`Iterable<CascadeStyle>` | `getCascadeStyles()` Obtain the cascade styles to be applied to this association.
`FetchMode` | `getFetchMode()` Obtain the fetch mode to be applied to this association.
`FetchStyle` | `getFetchStyle()`
`FetchTiming` | `getFetchTiming()`

Methods inherited from interface org.hibernate.metamodel.source.binder.AttributeSource
`getName, getPropertyAccessorName, getTypeInformation, isIncludedInOptimisticLocking, isSingular, metaAttributes`

Method Detail

### getCascadeStyles

    Iterable<CascadeStyle> getCascadeStyles()

  Obtain the cascade styles to be applied to this association.

  Returns:
    The cascade styles.

### getFetchMode

    FetchMode getFetchMode()

  Obtain the fetch mode to be applied to this association.

  Returns:
    The fetch mode.

### getFetchTiming

    FetchTiming getFetchTiming()

### getFetchStyle

    FetchStyle getFetchStyle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.